petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFCreate

create a star forest communication context

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFCreate(MPI_Comm comm,PetscSF *sf)

Not Collective Many br

### Input Arguments

comm -communicator on which the star forest will operate Many br

### Output Arguments

sf -new star forest context Many br

Many br

### See Also

PetscSFSetGraph(), PetscSFDestroy()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
src/vec/is/sf/examples/tutorials/ex2.c.html